Skip to content

API Reference

Add person information

POST /v1/retail/person_info https://api.cable.tech

Retail endpoint for adding new person information

Authentication

  • API key in the x-api-key header

Request body

application/json list of objects required

Request body for adding information about persons

  • id string required

    Unique external identifier of the person entity, ID stored in your database / back-office

    Limits min length 1

  • timestamp string required

    Original timestamp relating to this person entity creation/change

    Format date-time

  • is_test_user boolean required

    If the person is a test user, this should be set to true

    Default false

  • data object required
    • name string

      The provided full name of the person

      Example Alex Nguyen

    • first_name string

      The provided first name of the person

      Example Alex

    • last_name string

      The provided last name of the person

      Example Nguyen

    • email string

      Contact email for the person

      Example [email protected]

    • address object

      Legal/contact address for the entity

      • lines list of strings

        Limits min items 1

        Example 160 Kemp House, City Road

      • city string

        Example London

      • state string

        Example New York

      • county string

        Example Buckinghamshire

      • postal_code string

        Example EC1V 2NX

      • country string

        Example France

    • phone_number string

      Contact telephone number for the person

      Example +441234567899

    • date_of_birth string

      Format date

      Example 1945-03-22

    • nationality string

      2 or 3 Character ISO 3166 Country Code (https://w.wiki/4rY)

      Example NPL

    • occupation string

      Primary occupation of the individual

      Example Plumber

    • first_transaction_completed_at string

      Original timestamp of when the person completed their first transaction

      Format date-time

    • national_identification_number object
      • type string required

        Type of national identification number

      • value string required

        National identification number

    • product_type string

      Limits min length 1

    • custom object

      Custom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.

Responses

200 Operation success

  • success boolean required

    You probably did something wrong if you set this to false

    Default true

Errors

  • default Operation error

Error body default

  • code string required
  • message string required
  • data object